org.apache.flume.channel.file.encryption

## Class CipherProvider

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider

- Direct Known Subclasses:
    AESCTRNoPaddingProvider

      public abstract class CipherProvider
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CipherProvider.Decryptor`
    `static class` | `CipherProvider.Encryptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CipherProvider.Decryptor.Builder<?>` | `newDecryptorBuilder()`
    `abstract CipherProvider.Encryptor.Builder<?>` | `newEncryptorBuilder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherProvider

          public CipherProvider()

  - ### Method Detail

    - #### newEncryptorBuilder

          public abstract CipherProvider.Encryptor.Builder<?> newEncryptorBuilder()

    - #### newDecryptorBuilder

          public abstract CipherProvider.Decryptor.Builder<?> newDecryptorBuilder()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.